Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.kern
Class Tastatur

    java.lang.Object
      sum.kern.Tastatur

    public class Tastatur

extends Object

Eine Tastatur realisiert die Tastatureingabe des verwendeten Computers. Sie speichert die eingegebenen Tastaturzeichen in der Reihenfolge ihrer Eingabe. Für einige Tastatureingaben stehen bereits Konstanten zur Verfuegung: ESCAPE, ENDE, POS1, PFEILLINKS, PFEILRECHTS, PFEILOBEN, PFEILUNTEN, BILDUNTEN, BILDAUF, TAB, EINGABE, BACKSPACE, DELETE, F1, F2, ... , F12

Version:
  7.1 vom 31.05.2010
Author:
  Bernard Schriek

Constructor Summary
`Tastatur()` Die Tastatur wird initialisiert und enthaelt keine Zeichen.

Method Summary
`void` | `gibFrei()` Dummy-Prozedur
`void` | `weiter()` Mit weiter() wird das vorderste Zeichen im Tastaturpuffer entfernt.
`boolean` | `wurdeGedrueckt()` Es wird geprueft, ob ein Zeichen im Tastaturpuffer ist.
`char` | `zeichen()` Das erste Zeichen des Tastaturpuffers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tastatur

    public Tastatur()

  Die Tastatur wird initialisiert und enthaelt keine Zeichen.

Method Detail

### gibFrei

    public void gibFrei()

  Dummy-Prozedur

### weiter

    public void weiter()

  Mit weiter() wird das vorderste Zeichen im Tastaturpuffer entfernt. Falls der Tastaturpuffer vorher nicht mit "wurdeGedrueckt()" gestestet wurde, erfolgt eine Fehlermeldung.

### wurdeGedrueckt

    public boolean wurdeGedrueckt()

  Es wird geprueft, ob ein Zeichen im Tastaturpuffer ist.

  Returns:
    true, wenn mindestens ein Zeichen im Zastaturpuffer ist.

### zeichen

    public char zeichen()

  Das erste Zeichen des Tastaturpuffers. Es wird erst mit "weiter()" geloescht. Mehrere Aufrufe von "zeichen()" liefern also das gleiche Zeichen. Falls der Tastaturpuffer vorher nicht mit "wurdeGedrueckt()" gestestet wurde, erfolgt eine Fehlermeldung.

  Returns:
    erstes Zeichen im Tastaturpuffer

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD